﻿/* Overstyring av jqWidgets Grid og TreeGrid for design */

/* Overstyrer runde hjørner */
.jqx-rc-all{
    border-radius:0;
}

.jqx-widget-content,
.jqx-grid-table,
.jqx-item {
    font-family: inherit;
    font-size: inherit !important;
}

/* Styring av div rammer */
.jqx-widget-content.jqx-grid {
    border-color: #dbdbdb;
}

.jqx-grid-groups-header{
    border-color:#dbdbdb;
}

.jqx-widget .jqx-grid-column-header {
    border-color: #dbdbdb;
 }

.jqx-widget .jqx-grid-group-cell,
.jqx-widget .jqx-fill-state-normal {
    border-color: #dbdbdb;
    outline:none;
}

.jqx-widget .jqx-grid-cell{
    border-color:#dbdbdb;
}

.jqx-grid .jqx-grid-cell-left-align,
.jqx-grid .jqx-grid-cell-right-align {
    padding: 0 .6em;
    border-width:0 1px 0 0;
}

.jqx-grid .jqx-cell {
    padding: .4em .6em;
}

.jqx-widget .jqx-grid-cell.jqx-grid-statusbar{
    border-color:#dbdbdb;
}

/* Kolonneheader */
.jqx-grid-column-header span {
    padding: 0 .6em;
}

/* Unngår std jqx bakgrunnsfarge */
.jqx-widget-header,
.jqx-fill-state-pressed,
.jqx-fill-state-hover, 
.jqx-grid-cell-hover,
.jqx-grid-cell-pinned{
    background-color:transparent;
}

/* Pyjamasfarge i tabellen som i Kendo */
.jqx-grid-cell-alt {
    /*background-color: #f5f5f5;*/
    background-color:#ecf3f2;
}

/* Heller ellipsis enn wrapping på linjer i tabeller */
.jqx-grid-cell,
.jqx-grid-cell-wrap {
    white-space: nowrap !important; 
}

/* scrollbar */
.jqx-scrollbar .jqx-scrollbar-thumb-state-normal-horizontal,
.jqx-scrollbar .jqx-fill-state-normal,
.jqx-scrollbar .jqx-rc-all {
    border: 1px solid #dbdbdb;
}

/* Kolonnefilter i jqx tabell*/
.jqx-menu-vertical {
    background-color:#f7f7f7;
}

.jqx-menu-vertical .filterbutton,
.jqx-menu-vertical .filterclearbutton{
    cursor:pointer;
}
/* Slutt Kolonnefilter i jqx tabell*/


.jqx-grid .k-button {
    padding: 1px 4px;
}